/* Fuentes importadas */

@import url('https://fonts.googleapis.com/css2?family=League+Spartan:wght@700&display=swap');

/* Propiedades generales */

* {
	padding: 0;
	margin: 0;
	box-sizing: border-box;
	font-family: 'Montserrat', sans-serif;
	list-style: none;
	text-decoration: none;
	scroll-behavior: smooth;
}

:root {
	--bg-color: #ffffff;
	--text-color: #22100d;
	--second-color: #685f78;
	--main-color: #f66962;
	--big-font: 3.8rem;
	--h2-font: 2.6rem;
	--p-font: 1.1rem;
}

/* Aquí empieza el documento */

body {
	background: var(--bg-color);
	color: var(--text-color);
}

header {
	position: fixed;
	width: 100%;
	top: 0;
	right: 0;
	z-index: 1000;
	display: flex;
	align-items: center;
	justify-content: space-between;
	background: transparent;
	padding: 23px 13%;
	transition: all .40s ease;
}

.logo img {
	width: 65px;
	padding: 0;
}

.logo #b-logo {
	width: 80px;
	margin-left: 5px;
	margin-top: 10px;
}

.logo #s-logo {
	width: 55px;
	margin-bottom: 18px;
	margin-top: 10px;
}

.navbar {
	display: flex;
	margin-right: 150px;
}

.navbar a {
	color: var(--text-color);
	font-weight: 600;
	font-size: var(--p-font);
	padding: 10px 22px;
	transition: all .40s ease;
}

.navbar a:hover {
	color: var(--main-color);
}

.header-icons {
	display: flex;
	align-items: center;
}

.header-icons i {
	margin-left: 10px;
	font-size: 24px;
	color: var(--text-color);
	transition: all .40s ease;
	margin-right: 15px;
}

.header-icons i:hover {
	transform: scale(1.2);
	color: var(--main-color);
}

#menu-icon {
	font-size: 34px;
	color: var(--text-color);
	z-index: 10001;
	cursor: pointer;
	display: none;
}

section {
	padding: 80px 13%;
}

.home {
	position: relative;
	height: 100vh;
	width: 100%;
	background: url(../img/background.png);
	background-size: cover;
	background-position: center;
	display: grid;
	grid-template-columns: repeat(2, 1fr);
	gap: 1rem;
	align-items: center;
}

.home-text h1 {
	font-size: var(--big-font);
	margin: 15px 0 15px;
}

.home-text h6 {
	color: var(--main-color);
	font-size: 18px;
	font-weight: 600;
	letter-spacing: 2px;
}

.home-text p {
	color: var(--second-color);
	font-size: var(--p-font);
	font-weight: 500;
	margin-bottom: 48px;
}

.latter form {
	width: 100%;
	max-width: 460px;
	position: relative;
}

.latter form input:first-child {
	display: inline-block;
	width: 100%;
	outline: none;
	padding: 16px 140px 16px 15px;
	border: 2px solid var(--main-color);
	border-radius: 30px;
}

.latter form input:last-child {
	position: absolute;
	display: inline-block;
	border: none;
	outline: none;
	background: var(--main-color);
	color: var(--bg-color);
	padding: 16px 40px;
	border-radius: 30px;
	cursor: pointer;
	top: 2px;
	right: 1px;
}

.home-img img {
	height: 100%;
	width: 100%;
}

header.sticky {
	background: var(--bg-color);
	padding: 12px 13%;
	box-shadow: 0px 4px 15px rgb(0 0 0 / 8%);
}

.container {
	padding: 70px 13%;
	display: grid;
	grid-template-columns: repeat(auto-fit, minmax(300px, auto));
	gap: 1.5rem;
	align-items: center;
	cursor: pointer;
}

.container-box {
	display: flex;
	align-items: center;
	gap: 1.8rem;
	border: 1px solid #e9ecef;
	border-radius: 20px;
	padding: 20px 30px;
	box-shadow: -11.729px -11.729px 32px rgb(255 255 255 / 15%);
	transition: all .40s ease;
}

.container-box:hover {
	transform: translateY(-15px);
}

.container-text h4 {
	font-size: 20px;
	font-weight: 700;
	margin-bottom: 4px;
}

.container-text p {
	font-size: var(--p-font);
	color: var(--second-color);
	font-weight: 500;
}

.center-text {
	text-align: center;
}

.center-text h5 {
	color: var(--main-color);
	font-size: 16px;
	font-weight: 600;
	letter-spacing: 1px;
	margin-bottom: 20px;
}

.center-text h2 {
	font-size: var(--h2-font);
	line-height: 1.2;
}

.categories-content {
	display: grid;
	grid-template-columns: repeat(auto-fit, minmax(150px, auto));
	gap: 1.5rem;
	align-items: center;
	cursor: pointer;
	text-align: center;
	margin-top: 4rem;
}

.categories-content .box a:link, a:visited, a:active {
	color: rgb(41, 41, 41);
	text-decoration: none;
}

.box img {
	height: auto;
	width: 110px;
	margin-bottom: 20px;
}

.box {
	padding: 25px 60px;
	border: 2px solid #dfe2e4;
	border-radius: 20px;
	box-shadow: -11.729px -11.729px 32px rgb(255 255 255 / 15%);
	transition: all .40s ease;
}

.box:hover {
	transform: translateY(-15px);
}

.box h3 {
	font-size: 20px;
	font-weight: 700;
	margin-bottom: 30px;
	line-height: 1.3;
	transition: all .40s ease;
}

.box h3:hover {
	color: var(--main-color);
}

.box p {
	font-size: var(--p-font);
	color: var(--second-color);
	font-weight: 500;
}

.resources h2 {
	margin: 60px;
}

.container-r .card-r a:link, a:visited, a:active {
	color: rgb(41, 41, 41);
	text-decoration: none;
}

.card-r img {
	height: auto;
	width: 110px;
	margin-bottom: 20px;
}

.card-r {
	text-align: center;
	padding: 25px 60px;
	border: 2px solid #dfe2e4;
	margin-left: 30rem;
	margin-right: 30rem;
	border-radius: 20px;
	box-shadow: -11.729px -11.729px 32px rgb(255 255 255 / 15%);
	transition: all .40s ease;
}

.card-r:hover {
	transform: translateY(-15px);
}

.card-r h3 {
	font-size: 20px;
	font-weight: 700;
	margin-bottom: 30px;
	line-height: 1.3;
	transition: all .40s ease;
}

.card-r h3:hover {
	color: var(--main-color);
}

.card-r p {
	font-size: var(--p-font);
	color: var(--second-color);
	font-weight: 500;
}

.main-btn {
	text-align: center;
	margin-top: 5rem;
}

.btn {
	display: inline-block;
	padding: 16px 30px;
	font-size: var(--p-font);
	font-weight: 700;
	background: var(--main-color);
	color: rgb(61, 52, 52);
	border-radius: 30px;
	transition: all .40s ease;
}

.btn:hover {
	transform: scale(0.9) translateY(-5px);
}


.courses {
	background: url(../img/coursebg.png);
	background-size: cover;
	background-position: center;
}

.courses-content {
	display: grid;
	grid-template-columns: repeat(auto-fit, minmax(400px, auto));
	gap: 2rem;
	align-items: center;
	margin-top: 4rem;
	cursor: pointer;
	border-radius: 15px;
}

.row {
	background: var(--bg-color);
	padding: 0px 0px 10px 0px;
	border-radius: 20px;
	box-shadow: 0px 5px 40px rgb(19 8 73 / 13%);
	transition: all .40s ease;
}
.row:hover {
	transform: translateY(-15px);
}

.row img {
	width: 100%;
	height: 320px;
	object-fit: cover;
	border-radius: 15px 15px 0px 0px;
}

.courses-text {
	padding: 35px 20px;
}

.courses-text h5 {
	color: var(--main-color);
	font-size: 18px;
	font-weight: 700;
}

.courses-text h3 {
	font-size: 24px;
	font-weight: 700;
	line-height: 34px;
	margin: 15px 0 15px;
	transition: all .40s ease;
}

.courses-text h3:hover {
	color: var(--main-color);
}

.courses-text h6 {
	color: #696969;
	font-size: var(--p-font);
	font-weight: 400;
	line-height: 30px;
	letter-spacing: 1px;
	margin-bottom: 30px;
}

.rating {
	display: flex;
	align-items: center;
	flex-wrap: wrap;
	justify-content: space-between;
}

.star i {
	color: var(--main-color);
	margin-right: 2px;
	font-size: 17px;
}

.review p {
	color: #696969;
	font-size: var(--p-font);
	font-weight: 400;
	letter-spacing: 1px;
}

.cta-content {
	display: grid;
	grid-template-columns: repeat(auto-fit, minmax(170px, auto));
	gap: 2rem;
	align-items: center;
	text-align: center;
	margin-top: 5rem;
}

.about {
	background: url(../img/aboutbg.png);
	background-size: cover;
	background-position: center;
	display: grid;
	grid-template-columns: repeat(2, 1fr);
	gap: 2rem;
	align-items: center;
}

.about-img img {
	width: 100%;
	height: auto;
}

.about-text h2 {
	font-size: var(--h2-font);
	line-height: 1.2;
	margin-bottom: 20px;
}

.about-text p {
	font-size: var(--p-font);
	color: var(--second-color);
	font-weight: 500;
	line-height: 30px;
	margin-bottom: 30px;
}

.about-text h4 {
	font-size: 20px;
	margin-bottom: 10px;
}

.about-text h5 {
	font-size: 20px;
	margin-bottom: 40px;
}

.contact {
	padding: 60px 13%;
	background: var(--bg-color);
}

.main-contact {
	display: grid;
	grid-template-columns: repeat(auto-fit, minmax(200px, auto));
	gap: 2rem;
}

.contact-content img {
	height: auto;
	width: 160px;
	max-width: 100%;
	margin-bottom: 30px;
}

.contact-content li {
	margin-bottom: 18px;
}

.contact-content li a {
	display: block;
	color: var(--text-color);
	font-weight: 500;
	font-size: 15px;
	transition: all .40s ease;
}

.contact-content li a:hover {
	transform: translateX(10px);
	color: var(--main-color);
}

.last-text p {
	text-align: center;
	padding: 18px;
	color: var(--second-color);
	font-size: 15px;
	font-weight: 500;
	letter-spacing: 1px;
}

/* Adaptación a móvil - cuerpo */

@media (max-width: 1410px) {
	header{
		padding: 10px 3%;
		transition: .2s;
	}
	header.sticky{
		padding: 12px 3%;
		transition: .2s;
	}
	section{
		padding: 70px 3%;
		transition: .2s;
	}
	.container{
		padding: 70px 3%;
		transition: .2s;
	}
	.contact{
		padding: 60px 3%;
		transition: .2s;
	}
}

@media (max-width: 1280px) {
	.card-r {
		margin-left: 28rem;
		margin-right: 28rem;
	}
}

@media (max-width: 1180px) {
	.card-r {
		margin-left: 24rem;
		margin-right: 24rem;
	}
}

@media (max-width: 1100px) {
	.card-r {
		margin-left: 22rem;
		margin-right: 22rem;
	}
}

@media (max-width: 1050px) {
	:root{
	  --big-font: 3.2rem;
	  --h2-font: 2rem;
	  --p-font: 1rem;
	  transition: .1s;
	}
	.home{
		height: 84vh;
	}
}

@media (max-width: 1025px) {
	#menu-icon{
		display: block;
	}

	.navbar{
		position: absolute;
		top: 100%;
		right: -100%;
		width: 300px;
		height: 110vh;
		background: var(--main-color);
		display: flex;
		flex-direction: column;
		align-items: center;
		padding: 170px 30px;
		transition: all .40s ease;
		margin-right: 0;
	}

	.navbar a{
		display: block;
		margin: 1.3rem 0;
		color: var(--bg-color);
	}

	.navbar a:hover{
		color: var(--bg-color);
		transform: translateY(-5px);
	}

	.navbar.open{
		right: 0;
	}
}

@media (max-width: 970px) {
	.box img {
		margin-left: -0.8rem;
	}

	.box h3 {
		margin-left: -0.4rem;
	}

	.box .math-title {
		margin-left: -1.5rem;
	}

	.card-r {
		margin-left: 20rem;
		margin-right: 20rem;
	}
}

@media (max-width: 896px) {
	.card-r {
		margin-left: 18rem;
		margin-right: 18rem;
	}
}

@media (max-width: 890px) {
	.home{
		height: 120vh;
		grid-template-columns: 1fr;
		gap: 1rem;
	}

	.home-text{
		margin-top: 30px;
		padding-top: 20px;
	}

	.home-img{
		text-align: center;
	}

	.home-img img{
		height: auto;
		width: 70%;
		margin-top: -2rem;
	}

	.box h3 {
		margin-left: 0;
	}

	.box .math-title {
		margin-left: -2rem;
	}

	.about{
		grid-template-columns: 1fr;
		gap: 1rem;
	}
}

@media (max-width: 800px) {
	header {
        padding-top: 10px;
    }

	.box img {
		margin-left: -2rem;
	}

	.box h3 {
		margin-left: -0.6rem;
	}

	.box .math-title {
		margin-left: -2.6rem;
	}

	.card-r {
		margin-left: 15rem;
		margin-right: 15rem;
	}
}

@media (max-width: 730px) {
	.box h3 {
		margin-left: -0.8rem;
	}

	.box .math-title {
		margin-left: -3.4rem;
	}
}

@media (max-width: 714px) {
	.box img {
		margin-left: -0.8rem;
	}

	.box h3 {
		margin-left: 0;
	}

	.box .math-title {
		margin-left: -1.6rem;
	}
}

@media (max-width: 750px) {
	.card-r {
		margin-left: 14rem;
		margin-right: 14rem;
	}
}

@media (max-width: 690px) {
	.card-r {
		margin-left: 12rem;
		margin-right: 12rem;
	}
}

@media (max-width: 640px) {
	.box img {
		margin-left: -1.5rem;
	}

	.box h3 {
		margin-left: -0.3rem;
	}

	.box .math-title {
		margin-left: -2.4rem;
	}

	.card-r {
		margin-left: 10rem;
		margin-right: 10rem;
	}
}

@media (max-width: 600px) {
	.home{
		height: 120vh;
	}

	.home-img img{
		height: auto;
		width: 90%;
	}

	.box img {
		margin-left: -2rem;
	}
}

@media (max-width: 560px) {
	.box h3 {
		margin-left: -0.8rem;
	}

	.box .math-title {
		margin-left: -3.2rem;
	}

	.card-r {
		margin-left: 8rem;
		margin-right: 8rem;
	}
}

@media (max-width: 529px) {
	.box h3 {
		margin-left: 0;
	}

	.box .math-title {
		margin-left: -0.4rem;
	}

	.box img {
		margin-left: -0.4rem;
	}
}

@media (max-width: 490px) {
	.box h3 {
		margin-left: 0;
	}

	.box .math-title {
		margin-left: -1.2rem;
	}

	.card-r {
		margin-left: 6rem;
		margin-right: 6rem;
	}
}

@media (max-width: 430px) {
	.box .math-title {
		margin-left: -2.2rem;
	}

	.box img {
		margin-left: -1.6rem;
	}

	.card-r {
		margin-left: 4rem;
		margin-right: 4rem;
	}
}

@media (max-width: 380px) {
	.box h3 {
		margin-left: -0.8rem;
	}

	.box .math-title {
		margin-left: -3rem;
	}

	.box img {
		margin-left: -2.2rem;
	}
}

@media (max-width: 344px) {
	.box h3 {
		margin-left: 0;
	}

	.box .math-title {
		margin-left: 0;
	}


	.box img {
		margin-left: 0;
	}

	.card-r {
		margin-left: 0;
		margin-right: 0;
	}

}

@media (max-width: 300px) {
	.navbar {
		width: 80%;
	}

	.home-text h1 {
		font-size: 35px;
	}

	.resources h2 {
		font-size: x-large;
		line-height: 1.2;
	}
}

@media (max-width: 260px) {
	.resources h2 {
		margin-left: 15%;
	}

}

/* Aquí empieza el footer */

.footer-distributed {

    background-color: #232224;
    box-sizing: border-box;
    width: 100%;
	text-align: left;
    padding: 75px;
    margin-top: 80px;
    color: #8f9296;
    font-size: 14px;
    font-weight: normal;
    margin: 0;
    justify-content: space-between;
    display: flex;

}

.footer-distributed #footer-left, .footer-distributed #footer-center, .footer-distributed #footer-right {
    display: inline-block;
    vertical-align: top;
}

.footer-distributed .footer-left {
    width: 30%;
}

.footer-distributed h3 {
    color: #bbb1eb;
    font: normal 45px 'League Spartan', sans-serif;
}

.footer-distributed h3 span {
    font: normal 40px 'League Spartan', sans-serif;
    /* color: #aacfca; */
    color: #bbb1eb;
}

.footer-distributed .footer-center {
    width: 35%;
}

.footer-center p {
    margin-top: 30px;
}

.footer-distributed h5 {
    font-size: 18.5px;
    color: rgb(214, 214, 214);
    font-weight: bold;
}

#footer-center h5 {
    cursor: pointer;
}


h5 a:link, h5 a:visited, h5 a:active {
    color: rgb(214, 214, 214);
    text-decoration: none;
    transition: all .5s ease;
}

h5 a:hover {
    color: #85b3a9;
}

/* Copyright en el pie de página */

.footer-copyright {
    text-align: center;
    background-color: #141414;
    color: rgb(214, 214, 214);
    padding: 25px;
}

/* Adaptación a móvil - footer */

@media (max-width: 1000px) {

	.footer-distributed #footer-center {
		margin-left: -2.5rem;
	}

	.footer-distributed #footer-right {
		margin-right: -1rem;
	}

}

@media (max-width: 800px) {

	.footer-distributed {
        display: grid;
		grid-template-columns: 1fr;
    }

    .footer-distributed #footer-center, .footer-distributed #footer-left {
        margin-bottom: 15%;
    }

    .footer-distributed #footer-center {
        margin-left: 0;
    }

    .footer-copyright {
        line-height: 2rem;
    }

}

@media (max-width: 350px) {
	
	.footer-distributed #footer-center, .footer-distributed #footer-left, .footer-distributed #footer-right {
        margin-left: -20%;
    }

    #footer-left h3 {
        font-size: xx-large;
    }

    #footer-left span {
        font-size: xx-large;
    }

}

@media (max-width: 250px) {

	.footer-distributed #footer-center, .footer-distributed #footer-left, .footer-distributed #footer-right {
        margin-left: -40%;
    }

	#footer-center h5 {
		font-size: medium;
	}

	#footer-center p {
		margin-right: 10%;
	}


	#footer-right h5 {
		font-size: medium;
	}

	#footer-right p {
		margin-right: 10%;
	}

}